Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class ModelItemListDesktopPanel

    java.lang.Object
      com.eviware.soapui.ui.support.DefaultDesktopPanel
          com.eviware.soapui.support.components.ModelItemListDesktopPanel

All Implemented Interfaces:
  PropertyChangeNotifier, DesktopPanel

    public class ModelItemListDesktopPanel

extends DefaultDesktopPanel

Field Summary

Fields inherited from interface com.eviware.soapui.ui.desktop.DesktopPanel
`ICON_PROPERTY, TITLE_PROPERTY`

Constructor Summary
`ModelItemListDesktopPanel(java.lang.String title, java.lang.String description, ModelItem[] modelItems)`

Method Summary
`boolean` | `onClose(boolean canCancel)` Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

Methods inherited from class com.eviware.soapui.ui.support.DefaultDesktopPanel
`addDependency, addPropertyChangeListener, addPropertyChangeListener, dependsOn, getComponent, getDescription, getIcon, getModelItem, getTitle, loadIcon, removePropertyChangeListener, removePropertyChangeListener, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelItemListDesktopPanel

    public ModelItemListDesktopPanel(java.lang.String title,
                                     java.lang.String description,
                                     ModelItem[] modelItems)

Method Detail

### onClose

    public boolean onClose(boolean canCancel)

  Description copied from interface: `DesktopPanel`
  Called when a desktop panel is about to be closed, may be overriden (depending on situation) by returning false if canCancel is set to true.

  Specified by:
    `onClose` in interface `DesktopPanel`
  Overrides:
    `onClose` in class `DefaultDesktopPanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.